Package com.sun.mail.gimap.protocol

## Class GmailSearchSequence

- java.lang.Object
- - com.sun.mail.imap.protocol.SearchSequence
  - - com.sun.mail.gimap.protocol.GmailSearchSequence

    public class GmailSearchSequence
    extends SearchSequence

Support Gmail-specific search extensions.

Since:
  JavaMail 1.4.6
Author:
  Bill Shannon

### Field Summary

### Fields inherited from class com.sun.mail.imap.protocol.SearchSequence

`cal`

### Constructor Summary

Constructors
`GmailSearchSequence​(IMAPProtocol p)`

### Method Summary

All Methods Instance Methods Concrete Methods
`Argument` `generateSequence​(SearchTerm term, java.lang.String charset)` Generate the IMAP search sequence for the given search expression.
`protected Argument` `gmailMsgidSearch​(GmailMsgIdTerm term)`
`protected Argument` `gmailRawSearch​(GmailRawSearchTerm term, java.lang.String charset)`
`protected Argument` `gmailThridSearch​(GmailThrIdTerm term)`

### Methods inherited from class com.sun.mail.imap.protocol.SearchSequence

`and, body, flag, from, header, isAscii, isAscii, isAscii, messageid, modifiedSince, not, older, or, receiveddate, recipient, sentdate, size, subject, toIMAPDate, younger`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### GmailSearchSequence

    public GmailSearchSequence​(IMAPProtocol p)

### Method Detail

#### generateSequence

    public Argument generateSequence​(SearchTerm term,
                                     java.lang.String charset)
                              throws SearchException,
                                     java.io.IOException

Description copied from class: `SearchSequence`
Generate the IMAP search sequence for the given search expression.

Overrides:
  `generateSequence` in class `SearchSequence`
Parameters:
  `term` - the search term
  `charset` - charset for the search
Returns:
  the SEARCH Argument
Throws:
  `SearchException` - for failures
  `java.io.IOException` - for I/O errors

#### gmailMsgidSearch

    protected Argument gmailMsgidSearch​(GmailMsgIdTerm term)
                                 throws java.io.IOException

Throws:
  `java.io.IOException`

#### gmailThridSearch

    protected Argument gmailThridSearch​(GmailThrIdTerm term)
                                 throws java.io.IOException

Throws:
  `java.io.IOException`

#### gmailRawSearch

    protected Argument gmailRawSearch​(GmailRawSearchTerm term,
                                      java.lang.String charset)
                               throws java.io.IOException

Throws:
  `java.io.IOException`